Gentoo Archives: gentoo-commits

From: "Mike Pagano (mpagano)" <mpagano@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-util/skelgen: ChangeLog skelgen-1.2.ebuild
Date: Wed, 31 Dec 2008 21:01:20
Message-Id: E1LI8Bp-0001pb-AW@stork.gentoo.org
mpagano     08/12/31 21:01:17

  Modified:             ChangeLog skelgen-1.2.ebuild
  Log:
  Fix for gcc 4.3 as per bug #251118 and die added.
  (Portage version: 2.2_rc20/cvs/Linux 2.6.28-gentoo i686)

Revision  Changes    Path
1.6                  dev-util/skelgen/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/skelgen/ChangeLog?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/skelgen/ChangeLog?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/skelgen/ChangeLog?r1=1.5&r2=1.6

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-util/skelgen/ChangeLog,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- ChangeLog	25 Dec 2007 15:59:49 -0000	1.5
+++ ChangeLog	31 Dec 2008 21:01:17 -0000	1.6
@@ -1,6 +1,10 @@
 # ChangeLog for dev-util/skelgen
-# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-util/skelgen/ChangeLog,v 1.5 2007/12/25 15:59:49 phreak Exp $
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/skelgen/ChangeLog,v 1.6 2008/12/31 21:01:17 mpagano Exp $
+
+  31 Dec 2008; Mike Pagano <mpagano@g.o>
+  +files/skelgen-1.2-gcc43.patch, skelgen-1.2.ebuild:
+  Fix for gcc 4.3 as per bug #251118 and die added.
 
   25 Dec 2007; Christian Heim <phreak@g.o> metadata.xml:
   Removing taviso from metadata.xml as per #202471. Assigning to



1.5                  dev-util/skelgen/skelgen-1.2.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/skelgen/skelgen-1.2.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/skelgen/skelgen-1.2.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/skelgen/skelgen-1.2.ebuild?r1=1.4&r2=1.5

Index: skelgen-1.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-util/skelgen/skelgen-1.2.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- skelgen-1.2.ebuild	13 Dec 2005 17:23:37 -0000	1.4
+++ skelgen-1.2.ebuild	31 Dec 2008 21:01:17 -0000	1.5
@@ -1,6 +1,6 @@
-# Copyright 1999-2005 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-util/skelgen/skelgen-1.2.ebuild,v 1.4 2005/12/13 17:23:37 taviso Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-util/skelgen/skelgen-1.2.ebuild,v 1.5 2008/12/31 21:01:17 mpagano Exp $
 
 inherit eutils flag-o-matic toolchain-funcs
 
@@ -15,6 +15,12 @@
 RDEPEND=""
 S=${WORKDIR}/source
 
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+	epatch "${FILESDIR}"/${P}-gcc43.patch
+}
+
 src_compile() {
 	# Makefile uses $STRIPPER to strip executable, so use true
 	# instead and let portage handle that.
@@ -25,7 +31,7 @@
 }
 
 src_install() {
-	dobin skelgen
+	dobin skelgen || die "dobin failed"
 	dodoc readme.txt
 	dodoc macros/{common.macro,personal.macro,work.macro}
 	dodoc templates/{default.{cpp,h},fluid.{cpp,h},gpl.{c,h},skelgen.{cpp,h}}